Subject: bug#38718: Emacs `compile' command does not handle remote (over TRAMP) file name correctly

From: Duncan Greatwood <[email-masked]>
Date: Mon, 23 Dec 2019 09:34:21 -0800

> Could you pls confirm, that <remote path to file> starts with "/home"?
[DG] Yes, that's correct

> And that on your local machine, "/home" is a symlink to
> "/System/Volumes/Data/home"?
[DG] Yes, that's also correct

> If yes, your error is exactly the same as
> bug#38648.
[DG] OK, makes sense

Regarding the discussion between Michael and Eli on the most efficient way
to proceed, if you have a patch that can be applied to 26.2 I could
certainly give it a try. Or I can try next version of emacs once released.

If you want to try to prompt the relevant binary distributors to patch, I
believe I am pretty typical for current macos emacs users in that emacs is
installed via "brew cask install emacs" which I understand obtains its
binary from https://emacsformacosx.com/.

Thanks.